d_textbox_proc(3)

NAME
d_textbox_proc

SYNOPSIS
#include <allegro.h>

int d_textbox_proc(int msg, DIALOG *d, int c);

DESCRIPTION
A text box object. The dp field points to the text which is to be displayed in the box. If the text is long, there will be a vertical scrollbar on the right hand side of the object which can be used to scroll through the text. The default is to print the text with word wrapping, but if the D_SELECTED flag is set, the text will be printed with character wrapping. The d1 field is used internally to store the number of lines of text, and d2 is used to store how far it has scrolled through the text.